from MLEngine import MLEngine

if __name__ == "__main__":
    '''Example for loading Korea University Dataset'''
    # dataset_details = {
    #     'data_path': "/Volumes/Transcend/BCI/KU_Dataset/BCI dataset/DB_mat",
    #     'subject_id': 1,
    #     'sessions': [1],
    #     'ntimes': 1,
    #     'kfold': 10,
    #     'm_filters': 2,
    # }

    '''Example for loading BCI Competition IV Dataset 2a'''
    from MLEngine import MLEngine

    dataset_details = {
        'data_path': "dataset_2a",  # path to data folder
        'file_to_load': 'A03T.gdf',  # filename to load and perform cross-validation
        'ntimes': 10,
        'kfold': 10,
        'm_filters': 2, 'window_details': {'tmin': 0.5, 'tmax': 2.5}
    }

    ML_experiment = MLEngine(**dataset_details)
    ML_experiment.experiment()