import numpy as np
from matplotlib import pyplot as plt

from EEGDataEnhancer import EEGDataEnhancer
from mne_utils import get_epochs_and_labels

epochs, labels = get_epochs_and_labels(3, "E")
data = epochs.get_data()
print("Original data size : ",data.shape)
data_enhancer = EEGDataEnhancer(data,2,labels)
final_data,final_labels = data_enhancer.get_enhanced_data()
print("Extended data size : ",final_data.shape)

print("Extended labels : ",np.array(final_labels).flatten())
print("Labels number : ",len(final_labels))
