# Description du projet

Ce projet contient une interface réalisée en Python permettant de réaliser la connexion à un casque OpenBCI, de récupérer des données puis de créer des datasets dans l'objectif d'une classification future. Enfin, cette même interface permet l'entraînement d'une IA conçue par nos soins afin de lui permettre de reconnaître les mouvements imaginés de la main droite et de la main gauche.

# Dossier AI

Ce dossier contient les classes correspondant à notre IA ainsi que quelques programmes utiles pour comprendre leur fonctionnement. Bien que notre IA fut conçue dans l'objectif de classifier les mouvements imaginés, il est tout à fait concevable de la réutiliser afin de prédire d'autres catégories de signaux étant donné leur nature. Il sera donc possible de réutiliser notre IA (ComposedClassifier) dans le cadre d'un projet d'interaction neuronale différent du notre.

# Dossier API

Au sein de ce dossier se trouve la classe API. Il s'agit du code qui gère la connexion avec le casque et la transmission des données EEG jusqu'à l'ordinateur.

# Fichier interfaceIA

Ce programme implémente l'interface que nous avons réalisé afin de simplifier les processus de réalisation de datasets et d'entraînement de l'IA.